<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__pra__functions" kind="group">
    <compoundname>group_pra_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1ga93393c7e6e2ca124ac0b331dcee6e78b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_PRA_Init</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_PRA_Init</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Initializes the Protected Register Access driver. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="111" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra.c" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="378" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1gac76f029ce63dbff5b4f16bed4c65dd55" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_PRA_CloseSrssMain2</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_PRA_CloseSrssMain2</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Restricts access to the SRSS_MAIN2 region that includes following register: SRSS_TST_DDFT_FAST_CTL_REG, SRSS_TST_DDFT_FAST_CTL_REG. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3150" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="3133" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="381" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1ga53b0a7ea7a34a57d093a06f448a6839b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_PRA_OpenSrssMain2</definition>
        <argsstring>(void)</argsstring>
        <name>Cy_PRA_OpenSrssMain2</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Restores access to the SRSS_MAIN2 region that was restrcited by <ref kindref="member" refid="group__group__pra__functions_1gac76f029ce63dbff5b4f16bed4c65dd55">Cy_PRA_CloseSrssMain2</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3172" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="3161" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="382" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1ga0a1b71a4d148280527ca98aba144a6f4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref></type>
        <definition>cy_en_pra_status_t Cy_PRA_SendCmd</definition>
        <argsstring>(uint16_t cmd, uint16_t regIndex, uint32_t clearMask, uint32_t setMask)</argsstring>
        <name>Cy_PRA_SendCmd</name>
        <param>
          <type>uint16_t</type>
          <declname>cmd</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>regIndex</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>clearMask</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>setMask</declname>
        </param>
        <briefdescription>
<para>Process and executes the command received from non-secure core. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>cmd</parametername>
</parameternamelist>
<parameterdescription>
<para>Command to be executed on secure side. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>regIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>Index of the function or register depending on command parameter. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>clearMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Data send to secure core. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>setMask</parametername>
</parameternamelist>
<parameterdescription>
<para>Additional data send to secure core.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the command execution. For register read command the read value is returned. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1569" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra.c" bodystart="1515" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra.h" line="386" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__pra__functions_1ga9eb129562cf959674d91dc11d37c374a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__pra__enums_1ga60be13e12e82986f8c0d6c6a6d4f12c5">cy_en_pra_status_t</ref></type>
        <definition>cy_en_pra_status_t Cy_PRA_SystemConfig</definition>
        <argsstring>(const cy_stc_pra_system_config_t *devConfig)</argsstring>
        <name>Cy_PRA_SystemConfig</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__pra__system__config__t">cy_stc_pra_system_config_t</ref> *</type>
          <declname>devConfig</declname>
        </param>
        <briefdescription>
<para>Initializes and Configure Device. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>devConfig</parametername>
</parameternamelist>
<parameterdescription>
<para /></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function processing. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="3109" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_pra_cfg.c" bodystart="2588" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_pra_cfg.h" line="297" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>